Description

the compliance between the incoming timecode and the CTR value contained in the
TC_LFR_UPDATE_TIME telecommand is checked if at least one TC_LFR_UPDATE_TIME has
been received (this implies the modification of the coarse_time_load register)

lastValidEnterModeTime internal variable management updated

Related issues:
Related to Task #612: Long Test in normal mode Closed 09/02/2016

History

#1 - 08/02/2016 09:26 AM - Veronique bouzid

- Assignee set to thomas chust

Installation du software le 06/02/2016
dans /opt/LFR/LFR-FSW/3.0.0.19
Adaptation des scripts pour utiliser cette version.

Voici donc le nouvel environnement de test

FSW 3.0.0.19

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

J'ai joué le script suivant
Parametrage a 22s des Snapshots
30mn de NORMAL MODE

5s de STandby

15mn de SBM1

15mn de SBM2

Toutes les données sont dans le méme fichier 2016_02_08_08_27_packet*) et sont sur pc-instru/weekly erased
/Thomas/run-2016-02-08.3.0.0.19-1.1.89.

Les fichiers sont rangés sur pc-faust9 dans le répertoire data/R3/3.0.0.19/TEST-UNITAIRES/sbm1+sbm2

#2 - 08/02/2016 10:54 AM - thomas chust
- File plot_delta_ SWF_FO0_test1.png added
- File plot_delta_ SWF_F1_test1.png added
- File plot_delta_ SWF_F2_test1.png added
- File tests_time_swf _VHDL-1.1.89_FSW-3.0.0.19_2016_02_08_test1 added

- Assignee changed from thomas chust to paul leroy

Premier retour d'analyse dans les fichier joints. A priori pas mal du tout. Il y a une discontinuité au milieu, au moment du STANBY mais cela me
semble dans les marges prévues non ? En tout cas rien a voir avec la dérive observée alors (~256 fine times tous les deux SWF) avec le FSW
3.0.0.18 (#608)

#3 - 08/02/2016 11:01 AM - paul leroy

- Assignee changed from paul leroy to thomas chust
https://hephaistos.lpp.polytechnique.fr/redmine/issues/608

La discontinuité au moment du STANDBY est normale, c'est parce qu'on redémarre la manip, alors on se remet dans le cas du démarrage a partir de

zéro. Donc rien d'anormal.

#4 - 08/02/2016 11:02 AM - Veronique bouzid

- Assignee changed from thomas chust to paul leroy

Je te propose de lancer le meme test que précédemment mais cette fois sans repasser par le mode Standby:

30mn de NM
15mn de SBM1
15mn SBM2

#5 - 08/02/2016 11:02 AM - Veronique bouzid

- Assignee changed from paul leroy to thomas chust

#6 - 08/02/2016 11:17 AM - thomas chust

- Assignee changed from thomas chust to Veronique bouzid

Sl tu veux retrouver les conditions du bug d'alors il faut refaire avec STANBY mais en plus il faut faire 2 fichiers séparés (2 log si je comprends bien).

Sinon ce que tu proposes permets de valiver cette "derniére" version du FSW en retrouvant ce qui a déja marché (non régression).

#7 - 09/02/2016 09:42 AM - Veronique bouzid
- Related to Task #612: Long Test in normal mode added

#8 - 09/02/2016 04:38 PM - bruno katra

TC_LOAD_LFR_FBINS_MASK sur 3.0.0.19
fonctionne trés bien pour toutes les fréquences de FO, F1 et F2

#9 - 22/02/2016 10:37 AM - Veronique bouzid

- Status changed from New to Closed
